Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class AttributeLoadException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.AttributeLoadException

public class AttributeLoadException
extends JboException

Thrown when a value from a JDBC result set cannot be converted into a java type and loaded into an attribute. Conversions are performed by `CustomDatumFactory` as specified by Oracle's version of JDBC, or by `oracle.jbo.domain.TypeFactory`.

The original exception thrown inside the factory is provided in the details array, along with the value's result-set index and the value's intended Java type.

This exception can be thrown during any data-fetch operation in the framework, Typically when the SQL type for an attribute does not match the corresponding java type.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`AttributeLoadException(int index, java.lang.Class javaType, boolean CustomDatum, java.lang.Exception e)` Constructs a new instance.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeLoadException

    public AttributeLoadException(int index,
                                  java.lang.Class javaType,
                                  boolean CustomDatum,
                                  java.lang.Exception e)

  Constructs a new instance.
  Parameters:
    `int` - index of the attribute-valuein the result-set that failed to load.
    `Class` - Java class of the attribute which failed to load.
    `boolean` - CustomDatum indicates whether this type is a Custom Datum class-type.
    `Exception` - e contains the exception thrown during creation of the attribute-value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD